org.firebirdsql.jdbc

## Class Jdbc42VersionSupport

- java.lang.Object
- - org.firebirdsql.jdbc.Jdbc42VersionSupport

All Implemented Interfaces:
  JdbcVersionSupport

    public final class Jdbc42VersionSupport
    extends java.lang.Object
    implements JdbcVersionSupport

JDBC 4.2 version support.

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`Jdbc42VersionSupport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.BatchUpdateException` `createBatchUpdateException(java.lang.String reason, java.lang.String SQLState, int vendorCode, long[] updateCounts, java.lang.Throwable cause)` Constructs a `BatchUpdateException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Jdbc42VersionSupport

    public Jdbc42VersionSupport()

### Method Detail

#### createBatchUpdateException

    public java.sql.BatchUpdateException createBatchUpdateException(java.lang.String reason,
                                                                    java.lang.String SQLState,
                                                                    int vendorCode,
                                                                    long[] updateCounts,
                                                                    java.lang.Throwable cause)

Description copied from interface: `JdbcVersionSupport`
Constructs a `BatchUpdateException`.

For JDBC versions < 4.2, the `updateCounts` can be converted to integers without taking overflow into account.

Specified by:
  `createBatchUpdateException` in interface `JdbcVersionSupport`
Parameters:
  `reason` - A description of the error
  `SQLState` - SQL state of the error
  `vendorCode` - Vendor specific error code (use `0` if there is no specific error code)
  `updateCounts` - An array of `long` update counts
  `cause` - Underlying cause (may be `null`).
Returns:
  The created BatchUpdateException.